#pragma once
#include <map>
struct M_WXRenWuCFGData
{
	//任务ID
	int mID;
	//任务组
	int mGroup;
	//炮倍解锁
	std::vector<int> mCannonFold;
	//名字
	std::string mName;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
};

class M_WXRenWuCFG
{
public:
private:
	static std::auto_ptr<M_WXRenWuCFG> msSingleton;
public:
	int GetCount();
	const M_WXRenWuCFGData* GetData(int ID);
	const std::map<int, M_WXRenWuCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_WXRenWuCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_WXRenWuCFGData> mMapData;
};
